Bug 1751499 - libffado depends on Python 2
Summary: libffado depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libffado
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-09-12 05:40 UTC by Lumír Balhar
Modified: 2019-09-19 03:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-19 03:31:50 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-09-12 05:40:49 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for libffado's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to libffado.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Orcan Ogetbil 2019-09-18 04:08:32 UTC
I'll take over the task of the Python3 port.

Comment 2 Vasiliy Glazov 2019-09-18 14:00:48 UTC
Any progress here?

Comment 3 Orcan Ogetbil 2019-09-19 03:31:50 UTC
This is fixed. Packages are built in F31 and F32 on koji.


Note You need to log in before you can comment on or make changes to this bug.